Subject: bug#11874: 24.1.50; Infloop in Info

From: Glenn Morris <[email-masked]>
Date: Mon, 09 Jul 2012 20:35:39 -0400

Eli Zaretskii wrote:

> Today's trunk infloops when I visit any Info manual.  To reproduce
>
>   cd src
>   ./emacs -Q
>   C-u C-h i ../info/emacs.info RET
>
> Attaching a debugger reveals the backtrace shown below.  Typing
> "finish" repeatedly until it hangs again shows that it infloops in
> Info-toc-build.  On GNU/Linux, if I type Ctrl-C into the debugger when
> Emacs infloops, I can interrupt the loop, and Emacs becomes responsive
> again.
>
> I see the same infloop on GNU/Linux (on a TTY) and also on MS-Windows

No such problem for me with current trunk on a GNU/Linux TTY.
Are you still seeing it?